org.apache.lucene.analysis.pattern

## Class PatternReplaceCharFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.CharFilterFactory
    - - org.apache.lucene.analysis.pattern.PatternReplaceCharFilterFactory

-     public class PatternReplaceCharFilterFactory
      extends CharFilterFactory

  Factory for `PatternReplaceCharFilter`.

       <fieldType name="text_ptnreplace" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <charFilter class="solr.PatternReplaceCharFilterFactory"
                          pattern="([^a-z])" replacement=""/>
           <tokenizer class="solr.KeywordTokenizerFactory"/>
         </analyzer>
       </fieldType>

  Since:
    Solr 3.1
  SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
    "patternReplace"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME` SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternReplaceCharFilterFactory(Map<String,String> args)` Creates a new PatternReplaceCharFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Reader` | `create(Reader input)` Wraps the given Reader with a CharFilter.
    `Reader` | `normalize(Reader input)` Normalize the specified input Reader While the default implementation returns input unchanged, char filters that should be applied at normalization time can delegate to `create` method.

    - ### Methods inherited from class org.apache.lucene.analysis.util.CharFilterFactory

      `availableCharFilters, findSPIName, forName, lookupClass, reloadCharFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PatternReplaceCharFilterFactory

          public PatternReplaceCharFilterFactory(Map<String,String> args)

      Creates a new PatternReplaceCharFilterFactory

  - ### Method Detail

    - #### create

          public Reader create(Reader input)

      Description copied from class: `CharFilterFactory`
      Wraps the given Reader with a CharFilter.
      Specified by:
        `create` in class `CharFilterFactory`

    - #### normalize

          public Reader normalize(Reader input)

      Description copied from class: `CharFilterFactory`
      Normalize the specified input Reader While the default implementation returns input unchanged, char filters that should be applied at normalization time can delegate to `create` method.
      Overrides:
        `normalize` in class `CharFilterFactory`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.